
Figure - Bug #117286
【BSP】【DVT】【SYSTEM】开机过程中，kernel日中出现大量Warning相关的打印的call trace
2023-03-31 17:20 - CD BSP-杜磊

Status: CLOSED Start date: 2023-03-31

Priority: Normal Due date: 2023-04-21

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VC1_FSE_0094_20230425

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303302150

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: device-tree中音频引用了未使用的WCD和WSA的驱动节点

Description

[    8.156720] Unbalanced enable for IRQ 401

[    8.156741] WARNING: CPU: 2 PID: 30 at kernel/irq/manage.c:621 enable_irq+0x90/0xe8

[    8.156743] Modules linked in: wlan(O+) tsnv(O) machine_dlkm(O) wcd938x_slave_dlkm(O) wcd938x_dlkm(O) wcd9xxx_dlkm(O)

mbhc_dlkm(O) tx_macro_dlkm(O) rx_macro_dlkm(O) va_macro_dlkm(O) wsa_macro_dlkm(O) swr_ctrl_dlkm(O) bolero_cdc_dlkm(O)

wsa881x_dlkm(O) wcd_core_dlkm(O) stub_dlkm(O) hdmi_dlkm(O) swr_dlkm(O) pinctrl_lpi_dlkm(O) pinctrl_wcd_dlkm(O) usf_dlkm(O)

native_dlkm(O) platform_dlkm(O) q6_dlkm(O) adsp_loader_dlkm(O) apr_dlkm(O) snd_event_dlkm(O) q6_notifier_dlkm(O) q6_pdr_dlkm(O)

msm_11ad_proxy

[    8.156789] CPU: 2 PID: 30 Comm: kworker/2:0 Tainted: G S         O      4.19.157-perf+ #1

[    8.156792] Hardware name: Qualcomm Technologies, Inc. kona MTP-RmPM8150b. VX1 EVT2 (DT)

[    8.156807] Workqueue: pm pm_runtime_work

[    8.156811] pstate: 60c00085 (nZCv daIf +PAN +UAO)

[    8.156814] pc : enable_irq+0x90/0xe8

[    8.156817] lr : enable_irq+0x90/0xe8

[    8.156818] sp : ffffff80082c3b60

[    8.156820] x29: ffffff80082c3b70 x28: 0000000000000002 

[    8.156823] x27: 0000000000000100 x26: 0000000000000000 

[    8.156825] x25: 0000000000000000 x24: ffffffec2ecfb37d 

[    8.156828] x23: ffffffec2ecf9ca1 x22: ffffffec2ecfb248 

[    8.156831] x21: ffffffec46573810 x20: 0000000000000191 

[    8.156834] x19: ffffffec46ef9c00 x18: 0000000000000030 

[    8.156836] x17: ffffffaff4020000 x16: 00000000fffc12e0 

[    8.156839] x15: 00000000000c12e0 x14: 0000000000000086 

[    8.156842] x13: 0000000000000030 x12: 0000000000000000 

[    8.156844] x11: 0000000000000000 x10: 0000000000000007 

[    8.156847] x9 : a3afc59746a77500 x8 : a3afc59746a77500 

[    8.156850] x7 : 0000000000000000 x6 : ffffffec7987ed4d 

[    8.156852] x5 : 0000000000000000 x4 : 0000000000000006 

[    8.156855] x3 : 0000000000000031 x2 : 0000000000000007 

[    8.156858] x1 : 0000000000000007 x0 : 000000000000001d 

[    8.156862] Call trace:

[    8.156866] enable_irq+0x90/0xe8

[    8.156895] swrm_runtime_suspend+0x428/0x4d8 [swr_ctrl_dlkm]

[    8.156899] pm_generic_runtime_suspend+0x24/0x38

[    8.156908] __rpm_callback+0x124/0x228

[    8.156911] rpm_suspend+0x464/0x818

[    8.156914] rpm_idle+0x5b8/0x5f8

[    8.156916] pm_runtime_work+0x78/0xa0
[    8.156921] process_one_work+0x278/0x440

[    8.156924] worker_thread+0x260/0x4a8

[    8.156926] kthread+0x140/0x150

[    8.156931] ret_from_fork+0x10/0x18

[    8.156933] ---[ end trace e0de569a72d9b7d0 ]---

History

#1 - 2023-03-31 17:21 - CD BSP-杜磊

- File user_dmesg.log added

#2 - 2023-04-03 21:19 - CD BSP-杜磊

- Due date set to 2023-04-21

#3 - 2023-04-04 16:57 - CD BSP-杜磊

- Target version set to VC1_FSE_0094_20230425

#4 - 2023-04-06 20:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

191648 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

BSP:Audio: Fix kernel warning logFix kernel warning logTC-RID: 1201-0101104IssueID: TS-R-DF-117286Change-Id:

Ib8ab021b5a5c73bbc02405a9e9527d8fb5dd4c9c

#5 - 2023-04-11 14:56 - CD BSP-杜磊

- File kernel.txt added

- Status changed from New to ASSIGNED

金泽，

user版本中有大量的audio相关的报错，check一下是否可以关闭

#6 - 2023-04-12 20:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193049 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

tangjz1204@thundersoft.com

BSP:Audio: Fix kernel warning log(2)Disable wsa881x and wcd938x audio deviceTC-RID: 1201-0101104IssueID: TS-R-DF-117286Change-Id:

Icdace0707358b497a75c8a65259dec0592e8b926

#7 - 2023-04-14 14:35 - CD BSP-唐金泽
- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-唐金泽 to CD BSP-杜磊

- Resolution changed from -- to FIXED

- Root cause set to device-tree中音频引用了未使用的WCD和WSA的驱动节点

已修改，合入版本。

请帮忙关闭该票

#8 - 2023-04-18 14:54 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

Hi, 刘强，

关闭一下，不用验证，只是优化log.

#9 - 2023-04-18 17:12 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

优化log，研发自检ok

#10 - 2023-04-18 17:12 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

user_dmesg.log 304 KB 2023-03-31 CD BSP-杜磊

kernel.txt 331 KB 2023-04-11 CD BSP-杜磊
